#
# spec file for package gap-qpa
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-qpa
Version:        1.35
Release:        1.4
Summary:        GAP: Quivers and Path Algebras
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://folk.ntnu.no/oyvinso/QPA/
#Git-Clone:     https://github.com/gap-packages/qpa
Source:         https://github.com/gap-packages/qpa/archive/refs/tags/v%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildArch:      noarch
Requires:       gap-core >= 4.5
Requires:       gap-gbnp >= 0.9.5

%description
The QPA package provides data structures and algorithms for doing
computations with finite dimensional quotients of path algebras, and
finitely generated modules over such algebras. The current version of
the QPA package has data structures for quivers, quotients of path
algebras, and modules, homomorphisms and complexes of modules over
quotients of path algebras.

%prep
%autosetup -n qpa-%version

%build

%install
%gappkg_simple_install
find "%buildroot" -type f "(" -name "*.g?" -o -name "*.xml" ")" \
	-exec chmod a-x "{}" "+"

%files -f %name.files

%changelog
* Wed Feb 14 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.35
  * Added computation of a basis of a algebra of an acyclic quiver
  * Enumerator test added for quivers
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.34
  * Added about 25 functions
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 1.27
  * Added functions: IsPosetAlgebra IsNthSyzygy
    PartialOrderOfPoset Poset PosetAlgebra PosetOfPosetAlgebra
    RestrictionViaAlgebraHomomorphism TensorAlgebraInclusion
    TrivialExtensionOfQuiverAlgebraLevel
  * Removed functions: PositionsProperty (moved from QPA to GAP)
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 1.26
  * Added new functions: AlmostSplitSequence,
    AlmostSplitSequenceInPerpT, ElementInIndecProjective,
    IsTriangularReduced, TensorProductOfModules.
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 1.25
  * Added new functions: InjectiveEnvelope, InjectiveResolution,
    LeftApproximationByAddTHat, ReadAlgebra, RejectOfModule,
    RightApproximationByPerpT, SaveAlgebra
* Wed Jun  8 2016 jengelh@inai.de
- Update to new upstream release 1.24
  * Delete the file banner.g, as this file now is absolete.
* Tue Dec  8 2015 jengelh@inai.de
- Initial package (version 1.23) for build.opensuse.org
